### Constructor

# Ide Object new

#### Declaration

    IdeObject*
    ide_object_new (
      GType type,
      IdeObject* parent
    )

#### Description

This is a convenience function for creating an `IdeObject` and appending it to a parent.

This function may only be called from the main-thread, as calling from any other thread would potentially risk being disposed before returning.

Available since: | 3.32

#### Parameters

`type` | `GType`
| A `GType` of an `IdeObject` derived object.
`parent` | `IdeObject`
| An optional `IdeObject` parent.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeObject`
| A new `IdeObject`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.